#pragma once
#include <cstdint>
#include <string>

class DFComIniData
{
public:
    std::string m_filePath;                 // Dateiname der Logdatei
    bool m_enabled;                         // Log aktiv?
    std::string m_logBasePath;              // Basispfad fuer Log
    std::string m_logSubFolder;             // Unterordner fuer Logdateien
    int m_eraseFileDays;

    bool m_eraseFiles;                      // Alte Dateien loeschen
    bool m_elapse;                          // Ausfuehrungszeit angeben
    int m_writeList;                        // Listendaten mitloggen
    int m_dockingPreferType;                // Bevorzugte Version der Dockingstation
    int m_traceMode;                        // Tracing aktivieren
    bool m_checkOpenAndCloseBySameThread;   // Das Oeffnen und Schliessen des Kanals muss durch den selben Thread erfolgen.
    bool m_createXMLHelpFile{};
    std::string m_docPath;

public:
    void readData( const std::string &filePath );
};