/****************************************************************************
**
** Copyright (C) Datafox GmbH.
** All rights reserved.
** Contact: Datafox GmbH (develop@datafox.de)
**
** This file is part of the DFComDLL module of the Datafox SDK.
**
****************************************************************************/
#include "datafox/communication/protocol.h"

// ##################################################################
/**
* @brief Initialisieren der Membervariablen.
*
* @param connectionNumber Nummer der Verbindungsklasse fuer z.B. Trace.
* @param deviceAddress Gerteaddresse der Verbindungsklasse.
*/
Datafox::Communication::Protocol::Protocol( int32_t connectionNumber, uint8_t deviceAddress )
    : ProtocolCrypt( connectionNumber, deviceAddress ) 
{
}

// ##################################################################
/**
* @brief Destruktor.
*
*/
Datafox::Communication::Protocol::~Protocol() 
{
}
